package com.zioinfo.cms.admin.mapper;

import com.zioinfo.cms.admin.dto.CmsSetting;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SettingMapper {

    List<CmsSetting> findAll();

    CmsSetting findByKey(@Param("key") String key);

    int upsert(@Param("key") String key, @Param("value") String value);
}
